Infra APIBuild
Submit a build job
Validates the spec and enqueues a queued build job. The dispatcher (build-machines P2) runs it on an ephemeral VM.
POST
/api/v1/build/jobsValidates the spec and enqueues a queued build job. The dispatcher (build-machines P2) runs it on an ephemeral VM.
Authorization
BearerAuth AuthorizationBearer <token>
Supabase JWT Bearer token
In: header
Request Body
application/json
Build job
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/build/jobs" \ -H "Content-Type: application/json" \ -d '{}'{ "cancel_requested": true, "commit_sha": "string", "error": "string", "exit_code": 0, "finished_at": "string", "git_ref": "string", "id": "string", "organization_id": "string", "queued_at": "string", "repo_url": "string", "started_at": "string", "status": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}